package info.bukova.isspst.services.requirement;

import info.bukova.isspst.data.RequirementBase;
import info.bukova.isspst.data.User;

import java.util.List;

public interface RequirementBaseService<T extends RequirementBase> {

	public void loadAuthItems(T data);
	public void approve(T entity);
	public boolean canApprove(T entity);
	public List<User> getNextApprover(T entity);
	
}
