package info.bukova.isspst.data;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(name = "TRIPREQUIREMENT")
public class TripRequirement extends RequirementBase {
	
	@Column(name = "TRIP_FROM")
	private String from;
	@Column(name = "TRIP_TO")
	private String to;
	@Column(name = "TRIP_DATE")
	private Date tripDate;

	public TripRequirement() {
		this.setOwnedBy(new User());
	}
	
	public String getFrom() {
		return from;
	}

	public void setFrom(String from) {
		this.from = from;
	}

	public String getTo() {
		return to;
	}

	public void setTo(String to) {
		this.to = to;
	}

	public Date getTripDate() {
		return tripDate;
	}

	public void setTripDate(Date tripDate) {
		this.tripDate = tripDate;
	}

}
